%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define _requires_exceptions pear(Horde\\|pear(Net/IMSP

%define kolab_webroot /var/www/html/kolab

# the Management user/group name/id pair
# These are created in the kolab package, which
# we prereq
%define l_musr kolab
%define l_mgrp kolab

# the Restricted user/group name/id pair
%define l_rusr %{l_musr}
%define l_rgrp %{l_mgrp}

# the Non-privileged user/group name/id pair
%define l_nusr %{l_musr}
%define l_ngrp %{l_mgrp}

Summary:	Kolab/Horde online Free/busy view component
Name:		kolab-horde-fbview
Version:	2.1.0
Release:	%mkrel 5
License:	GPL
Group:		System/Servers
URL:		http://www.kolab.org/
Source0:	kolab-horde-fbview-%{version}.tar.bz2
Patch0:		kolab-horde-fbview-fbviewroot.diff
Requires(post):	rpm-helper
Requires(preun): rpm-helper
Requires(pre):	rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.4
Requires(pre):	apache-mod_php
Requires(pre):	apache-mpm-prefork >= 2.2.4
Requires(pre):	kolab >= 2.1.0
Requires(pre):	kolab-horde-framework >= 2.1.0
Requires:	apache-conf >= 2.2.4
Requires:	apache-mod_php
Requires:	apache-mpm-prefork >= 2.2.4
Requires:	kolab >= 2.1.0
Requires:	kolab-horde-framework >= 2.1.0
Requires:	php-dba
Requires:	php-dom
Requires:	php-fileinfo
Requires:	php-gd
Requires:	php-iconv
Requires:	php-mbstring
Requires:	php-mcal
Requires:	php-mcrypt
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Kolab components for group and resource management.

%prep

%setup -q -n %{name}
%patch0 -p1

# fix attribs
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
	
# cleanup
for i in `find . -type d -name CVS`  `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# major search and replace (aka openpkg anti borker)
find . -type f|xargs perl -pi -e "s|/kolab/var/resmgr/resmgr\.log|/var/log/kolab/resmgr\.log|g; \
    s|/kolab/var/resmgr/freebusy\.log|/var/log/kolab/freebusy\.log|g; \
    s|/kolab/var/resmgr/fbview\.log|/var/log/kolab/fbview\.log|g; \
    s|/kolab/var/resmgr/filter|/var/spool/resmgr/filter|g; \
    s|/kolab/var/kolab/www/fbview|%{kolab_webroot}/fbview|g; \
    s|/var/kolab/www|/var/www/html/kolab|g; \
    s|/kolab/etc/kolab|/etc/kolab|g; \
    s|/kolab/etc/resmgr|/etc/kolab/resmgr|g; \
    s|\@l_prefix\@/var/kolab/php:\@l_prefix\@/var/kolab/php/pear|%{kolab_webroot}|g; \
    s|\@l_prefix\@/bin/php|%{_bindir}/php|g; \
    s|\@l_prefix\@/bin/pear|%{_bindir}/pear|g; \
    s|\@l_prefix\@/etc/resmgr/resmgr\.conf|/etc/kolab/resmgr/resmgr\.conf|g; \
    s|\@l_prefix@/etc/resmgr/freebusy\.conf|/etc/kolab/resmgr/freebusy\.conf|g; \
    s|\@l_prefix\@/var/resmgr/filter|/var/spool/resmgr/filter|g; \
    s|/usr/local/bin/php|%{_bindir}/php|g; \
    s|/kolab/bin/php|%{_bindir}/php|g; \
    s|/usr/local/bin|%{_bindir}|g"

# cleanup
if [ -f ../kolab-horde-fbview.spec ]; then rm -f ../kolab-horde-fbview.spec; fi
if [ -f ../Makefile ]; then rm -f ../Makefile; fi

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/kolab/resmgr
install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{kolab_webroot}/fbview

install -m0644 fbview.conf %{buildroot}%{_sysconfdir}/kolab/resmgr/fbview.conf

cp -aRf fbview %{buildroot}%{kolab_webroot}/

cat > %{name}.conf << EOF

<Directory "%{kolab_webroot}/fbview/kronolith/scripts">
    order deny,allow
    deny from all
</Directory>

<Directory "%{kolab_webroot}/fbview/kronolith/config">
    order deny,allow
    deny from all
</Directory>

<Directory "%{kolab_webroot}/fbview/po">
    order deny,allow
    deny from all
</Directory>

<Directory "%{kolab_webroot}/fbview/scripts">
    order deny,allow
    deny from all
</Directory>

<Directory "%{kolab_webroot}/fbview/templates">
    order deny,allow
    deny from all
</Directory>

<Directory "%{kolab_webroot}/fbview/locale">
    order deny,allow
    deny from all
</Directory>

<Directory "%{kolab_webroot}/fbview/turba/po">
    order deny,allow
    deny from all
</Directory>

<Directory "%{kolab_webroot}/fbview/turba/scripts">
    order deny,allow
    deny from all
</Directory>

<Directory "%{kolab_webroot}/fbview/turba/templates">
    order deny,allow
    deny from all
</Directory>

<Directory "%{kolab_webroot}/fbview/turba/locale">
    order deny,allow
    deny from all
</Directory>

<Directory "%{kolab_webroot}/fbview/turba/config">
    order deny,allow
    deny from all
</Directory>

<Directory "%{kolab_webroot}/fbview/turba/lib">
    order deny,allow
    deny from all
</Directory>

<Directory "%{kolab_webroot}/fbview/config">
    order deny,allow
    deny from all
</Directory>

<Directory "%{kolab_webroot}/fbview/lib">
    order deny,allow
    deny from all
</Directory>
EOF

install -m0644 %{name}.conf %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf


# fix config (if needed)

pushd %{buildroot}%{kolab_webroot}/fbview/config
    for f in *.dist; do
	if ! [ -f ${f%.dist} ]; then cp $f ${f%.dist}; fi
    done
popd

pushd %{buildroot}%{kolab_webroot}/fbview/kronolith/config
    for f in *.dist; do
	if ! [ -f ${f%.dist} ]; then cp $f ${f%.dist}; fi
    done
popd

pushd %{buildroot}%{kolab_webroot}/fbview/turba/config
    for f in *.dist; do
	if ! [ -f ${f%.dist} ]; then cp $f ${f%.dist}; fi
    done
popd

# cleanup
rm -rf %{buildroot}%{kolab_webroot}/fbview/packaging
rm -rf %{buildroot}%{kolab_webroot}/fbview/kronolith/packaging
rm -rf %{buildroot}%{kolab_webroot}/fbview/turba/packaging

find %{buildroot} -type f -name "\.htaccess" | xargs rm -f
find %{buildroot} -type f -name "COPYING" | xargs rm -f

find %{buildroot} -type f -name "*.dis" | xargs rm -f
find %{buildroot} -type f -name "*.sq" | xargs rm -f
find %{buildroot} -type f -name "*.s" | xargs rm -f
find %{buildroot} -type f -name "*.ph" | xargs rm -f

rm -f %{buildroot}%{kolab_webroot}/fbview/config/*.dis*


%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/kolab/resmgr/fbview.conf
%{kolab_webroot}/fbview
%attr(0640,root,apache) %config(noreplace) %{kolab_webroot}/fbview/config/*.php
%attr(0640,root,apache) %config(noreplace) %{kolab_webroot}/fbview/config/*.xml
%attr(0640,root,apache) %config(noreplace) %{kolab_webroot}/fbview/turba/config/*.php
%attr(0640,root,apache) %config(noreplace) %{kolab_webroot}/fbview/turba/config/*.xml
%attr(0640,root,apache) %config(noreplace) %{kolab_webroot}/fbview/kronolith/config/*.php
%attr(0640,root,apache) %config(noreplace) %{kolab_webroot}/fbview/kronolith/config/*.xml


%changelog
* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.1.0-5mdv2010.0
+ Revision: 425488
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0-4mdv2009.0
+ Revision: 221869
- rebuild

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0-3mdv2008.1
+ Revision: 150429
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-2mdv2008.0
+ Revision: 33630
- new mandriva file

* Sat May 26 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-1mdv2008.0
+ Revision: 31471
- Import kolab-horde-fbview



* Sat May 26 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-1mdv2007.1
- initial mandriva package
